


import SquareBox from '@/components/ScreenBox/SquareBox'
import TitleBox from '@/components/ScreenBox/TitleBox'
import { Bar } from '@ant-design/plots';
// import ba from './a.png'

export default (props) => {


  const style = {
    bgd: {
      color: 'rgba(0,0,0,.25)',
      height: '100vh',
      // backgroundImage: `url(${ba})`,
      backgroundSize: '100%,100%',
      padding: '5em 10em'
    }
  }
  const data = [
    {
      year: '收割机',
      value: 200,
    },
    {
      year: '播种机',
      value: 150,
    },
    {
      year: '农药机',
      value: 50,
    },
  ];
  const config = {
    data,
    xField: 'value',
    yField: 'year',
    seriesField: 'year',

    legend: {
      position: 'top-left',
    },
    color: [' #FB9900', '#23E8AE', '#E63404'],
  };

  return (
    <div style={style.bgd} >
      <TitleBox value='农机类型统计' />
      <SquareBox>
        <Bar  {...config} />
      </SquareBox>
    </div>
  )
}